{% extends "base.html" %}
{% block main %}
<h1>{{ title }}</h1>

<form class="form-inline md-form form-sm active-cyan-2 mt-2" action="{{url_for('albums_post')}}" method="POST">
	<!-- radio bouton chercher par titre album -->
    <div class="form-check form-check-inline">
        <input class="form-check-input" type="radio" name="search_option" id="album" value="album" checked>
        <label class="form-check-label" for="inlineRadio3">Titre</label>
    </div>
	<!-- radio bouton chercher par nom artiste -->
    <div class="form-check form-check-inline">
        <input class="form-check-input" type="radio" name="search_option" id="artist" value="artist">
        <label class="form-check-label" for="inlineRadio2">Artiste</label>
    </div>
	<!-- radio bouton chercher par annee de l'album -->
    <div class="form-check form-check-inline">
        <input class="form-check-input" type="radio" name="search_option" id="year" value="year">
        <label class="form-check-label" for="inlineRadio4">Année</label>
    </div>
	<!-- bouton rechercher -->
    <div>
        <input class="form-control mr-sm-2" id="search" type="text" name="search" placeholder="Search" aria-label="Search">
        <i class="fas fa-search" aria-hidden="true"></i>
    </div>
</form>

<!-- tous les albums ou le resultat de la recherche si l'une a été effectué -->
{% if albums != None %}
<div class="row sample">
    {% for album in albums %}
    <div class="mb-4 col-xl-3 col-lg-4 col-md-6 col-sm-6 col-xs-12">
        <div class="card" style="width:248px">
            <a href="{{ url_for('album', albumid=album.id) }}">
                <div class="card-header">
                    <h6>{{album.title}}</h6>
                </div>  
                <div class="card-body">
                    <img width=200 src="{{ url_for('static', filename=album.img) }}" 
                        title="{{ album.title + " de " + album.artist.name }}"
                        alt="{{ "couverture de " + album.title }}" />
                </div>
            </a>
        </div>
    </div>
    {% endfor %}
</div>
{% endif %}
{% endblock %}